purge.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

template<class OptTask, class PL>
ExecStatus | Gecode::Int::purge (Space &home, Propagator &p, TaskArray< OptTask > &t)
| Purge optional tasks that are excluded and possibly rewrite propagator.
template<class OptTask, class PL, class Cap>
ExecStatus | Gecode::Int::purge (Space &home, Propagator &p, TaskArray< OptTask > &t, Cap c)
| Purge optional tasks that are excluded and possibly rewrite propagator.